--[=[
RaidyCheck - raid boss mod and buff checking
(c) 2010 Adirelle (adirelle@tagada-team.net)
All rights reserved.
--]=]

local addonName, addon = ...

local L = setmetatable({}, {
	__index = function(self, key)
		if key ~= nil then
			addon:Debug('Localization:', key)
			self[key] = tostring(key)
		end
		return tostring(key)
	end,
	__newindex = function(self, key, value)
		if value == true then value = key end
		rawset(self, tostring(key), tostring(value))
	end
})
addon.L = L

-- These entries are generated by a simple lua script and pasted here
L["%d piece(s)"] = true
L["Anchor"] = true
L["Anchor settings"] = true
L["BossMod"] = true
L["Broken Items"] = true
L["Buttons"] = true
L["Check this to display the tooltip legend in addition to failed checks."] = true
L["Check this to enable all tests."] = true
L["Check this to enable RaidyCheck in 5-man instances in addition to raid instances."] = true
L["Check this to enable RaidyCheck outside of instances. This settings is not saved accros game sessions."] = true
L["Check this to have each module result displayed on its own column."] = true
L["Check this to prevent the anchor to be dragged."] = true
L["Check this to restrict panel height by adding a scroll bar."] = true
L["Check this to show the tooltip anchor button."] = true
L["Check to enable strict mode."] = true
L["Class Buffs"] = true
L["Click to change displayed information."] = true
L["Click to do a ready check."] = true
L["Click to hide the panel."] = true
L["Click to open the configuration window."] = true
L["Click to show the panel."] = true
L["Collapse"] = true
L["Collapse/expand"] = true
L["Configuration"] = true
L["Cooldown:"] = true
L["DEAD"] = true
L["DISCONNECTED"] = true
L["Display"] = true
L["Drag to move."] = true
L["Enabled"] = true
L["Expand"] = true
L["Flask"] = true
L["has broken items."] = true
L["Legend"] = true
L["Limited height"] = true
L["Lock"] = true
L["Mana"] = true
L["missing pet"] = true
L["Modules"] = true
L["Move the anchor back to its default position."] = true
L["Multicolumns"] = true
L["no boss mod detected"] = true
L["no flask"] = true
L["no soulstone found"] = true
L["Non-Combat Buffs"] = true
L["not well fed"] = true
L["OUTOFSCOPE"] = true
L["Panel"] = true
L["Panel settings"] = true
L["Pet"] = true
L["RaidyCheck anchor"] = true
L["Ready"] = true
L["ReadyCheck"] = true
L["Readycheck"] = true
L["Reset position"] = true
L["Select which buttons you would like to see on the anchor."] = true
L["Select which checks should be done"] = true
L["Self Buffs"] = true
L["Show"] = true
L["Show in 5-man instances"] = true
L["Soulstone"] = true
L["Strict mode"] = true
L["Test mode"] = true
L["Tests"] = true
L["Uncheck this to completly disable RaidyCheck"] = true
L["Well Fed"] = true
--

-- Override these entries
L['DEAD'] = "Dead"
L['DISCONNECTED'] = "Disconnected"
L['OUTOFSCOPE'] = "Out of scope"

--------------------------------------------------------------------------------
-- Locales from localization system
--------------------------------------------------------------------------------

-- %Localization: raidycheck
-- AUTOMATICALLY GENERATED BY UpdateLocalization.lua
-- ANY CHANGE BELOW THIS LINE WILL BE LOST ON NEXT UPDATE
-- CHANGES SHOULD BE MADE USING http://www.wowace.com/addons/raidycheck/localization/

local locale = GetLocale()
if locale == "frFR" then
L["Anchor"] = "Ancre"
L["Anchor settings"] = "Réglages de l'ancre"
L["BossMod"] = "Addon de boss"
L["Broken Items"] = "Equipement cassé"
L["Buttons"] = "Boutons"
L["Check this to display the tooltip legend in addition to failed checks."] = "Cochez ceci pour afficher une légende dans le panneau d'information en plus des tests ratés."
L["Check this to enable all tests."] = "Cochez ceci pour activer tous les tests."
L["Check this to enable RaidyCheck in 5-man instances in addition to raid instances."] = "Cochez ceci pour activer RaidyCheck dans les instances pour 5 en plus des instances de raid."
L["Check this to enable RaidyCheck outside of instances. This settings is not saved accros game sessions."] = "Cochez ceci pour activer le mode de test de RaidyCheck. Ce réglage n'est pas sauvegardée entre les sessions de jeu."
L["Check this to have each module result displayed on its own column."] = "Cochez ceci pour que afficher le résultat de chaque module dans une colonne séparée."
L["Check this to prevent the anchor to be dragged."] = "Cochez ceci pour empêcher le déplacement de l'ancre."
L["Check this to restrict panel height by adding a scroll bar."] = "Cochez ceci pour restreindre la hauteur du panneau en affichant une barre de défilement."
L["Check this to show the tooltip anchor button."] = "Cochez ceci pour afficher l'ancre du panneau d'information."
L["Check to enable strict mode."] = "Cochez pour activer le mode strict."
L["Class Buffs"] = "Buffs de classes"
L["Click to change displayed information."] = "Cilquez pour changer l'information affichée."
L["Click to do a ready check."] = "Cliquez pour faire l'appel."
L["Click to hide the panel."] = "Cliquez pour cacher le panneau."
L["Click to open the configuration window."] = "Cliquez pour ouvrir la fenêtre de configuration."
L["Click to show the panel."] = "Cliquez pour afficher le panneau."
L["Collapse"] = "Masquer"
L["Collapse/expand"] = "Masquer/Afficher"
L["Configuration"] = "Configuration"
L["Cooldown:"] = "Temps de rechargement :"
L["DEAD"] = "Mort"
L["DISCONNECTED"] = "Déconnecté"
L["Display"] = "Affichage"
L["%d piece(s)"] = "%d pièce(s)"
L["Drag to move."] = "Tirer pour déplacer."
L["Enabled"] = "Activé"
L["Expand"] = "Afficher"
L["Flask"] = "Flacon"
L["has broken items."] = "équipement cassé"
L["Legend"] = "Légende"
L["Limited height"] = "Hauteur restreinte"
L["Lock"] = "Verrouiler"
L["Mana"] = "Mana"
L["missing pet"] = "familier absent"
L["Modules"] = "Modules"
L["Move the anchor back to its default position."] = "Remet l'ancre à sa position par défaut."
L["Multicolumns"] = "Multi-colonnes"
L["no boss mod detected"] = "pas d'addon de boss"
L["no flask"] = "pas de flacon"
L["Non-Combat Buffs"] = "Buffs hors-combat"
L["no soulstone found"] = "pas de pierre d'âme"
L["not well fed"] = "pas bien nourri"
L["OUTOFSCOPE"] = "Hors de vue"
L["Panel"] = "Panneau"
L["Panel settings"] = "Réglages du panneau"
L["Pet"] = "Familier"
L["RaidyCheck anchor"] = "Ancre de RaidyCheck"
L["Ready"] = "Prêt"
L["Readycheck"] = "Appel"
L["ReadyCheck"] = "Appel"
L["Reset position"] = "Réinitialiser la position"
L["Select which buttons you would like to see on the anchor."] = "Sélectionnez les boutons que vous voulez voir sur l'ancre."
L["Select which checks should be done"] = "Sélectionnez les tests à effectuer."
L["Self Buffs"] = "Buffs persos"
L["Show"] = "Afficher"
L["Show in 5-man instances"] = "Afficher en instance pour 5"
L["Soulstone"] = "Pierre d'âme"
L["Strict mode"] = "Mode strict"
L["Test mode"] = "Mode de test"
L["Tests"] = "Tests"
L["Uncheck this to completly disable RaidyCheck"] = "Décochez ceci pour désactiver complétement RaidyCheck."
L["Well Fed"] = "Bien nourri"
elseif locale == "deDE" then
L["Anchor"] = "Anker"
L["Anchor settings"] = "Anker-Einstellungen"
L["BossMod"] = "Bossmod"
L["Broken Items"] = "Kaputte Gegenstände"
L["Buttons"] = "Tasten"
L["Check this to enable all tests."] = "Haken setzen um alle Tests zu aktivieren."
L["Check this to enable RaidyCheck in 5-man instances in addition to raid instances."] = "Haken hier setzen um das Addon auch in 5-Mann-Instanzen zu aktivieren."
L["Check this to enable RaidyCheck outside of instances. This settings is not saved accros game sessions."] = "Haken hier setzen um RaidyCheck auch außerhalb von Instanzen zu aktivieren (die Option speichert sich nicht über Sitzungen)."
L["Check this to prevent the anchor to be dragged."] = "Haken setzen um zu verhindern, daß der Ankerpunkt verschoben werden kann."
L["Check to enable strict mode."] = "Haken setzen um den strikten Modus zu aktivieren."
L["Class Buffs"] = "Klassenbuffs"
L["Click to change displayed information."] = "Klicken um die angezeigte Information zu ändern."
L["Click to do a ready check."] = "Klicken um einen Bereitschaftstest zu starten."
L["Click to hide the panel."] = "Klicken um den Panel auszublenden."
L["Click to open the configuration window."] = "Klicken um das Konfigurationsfenster zu öffnen."
L["Click to show the panel."] = "Klicken um den Panel anzuzeigen."
L["Collapse"] = "Einklappen"
L["Collapse/expand"] = "Einklappen/Erweitern"
L["Configuration"] = "Konfiguration"
L["Cooldown:"] = "Cooldown:"
L["DEAD"] = "TOT"
L["DISCONNECTED"] = "DISCONNECT"
L["Display"] = "Anzeige"
L["%d piece(s)"] = "%d Teil(e)"
L["Drag to move."] = "Zum Bewegen ziehen"
L["Enabled"] = "Aktiviert"
L["Expand"] = "Erweitern"
L["Flask"] = "Fläschchen"
L["has broken items."] = "trägt kaputte Gegenstände."
L["Legend"] = "Legende"
L["Limited height"] = "Beschränkte Höhe"
L["Lock"] = "Sperren"
L["Mana"] = "Mana"
L["missing pet"] = "Begleiter fehlt" -- Needs review
L["Modules"] = "Module"
L["Move the anchor back to its default position."] = "Den Ankerpunkt auf seine Ausgangsposition zurücksetzen."
L["no boss mod detected"] = "Kein Bossmod entdeckt" -- Needs review
L["no flask"] = "Kein Fläschchen" -- Needs review
L["no soulstone found"] = "Kein Seelenstein gefunden"
L["not well fed"] = "Nicht satt" -- Needs review
L["Panel"] = "Panel"
L["Panel settings"] = "Panel-Einstellungen"
L["Pet"] = "Begleiter"
L["RaidyCheck anchor"] = "RaidyCheck-Anker"
L["Ready"] = "Bereit"
L["Readycheck"] = "Bereitschaftstest"
L["ReadyCheck"] = "Bereitschaftstest"
L["Reset position"] = "Position zurücksetzen"
L["Select which buttons you would like to see on the anchor."] = "Auswählen welche Tasten du am Anker sehen möchtest."
L["Select which checks should be done"] = "Auswählen welche Überprüfungen durchgeführt werden sollen."
L["Self Buffs"] = "Eigene Buffs"
L["Show"] = "Anzeigen"
L["Show in 5-man instances"] = "In 5-Mann-Instanzen anzeigen"
L["Soulstone"] = "Seelenstein"
L["Strict mode"] = "Strikter Modus"
L["Test mode"] = "Testmodus"
L["Tests"] = "Tests"
L["Uncheck this to completly disable RaidyCheck"] = "Haken entfernen um RaidyCheck komplett zu deaktivieren."
L["Well Fed"] = "Satt"
elseif locale == "zhTW" then
L["BossMod"] = "首領模組"
L["Broken Items"] = "破損的物品"
L["Check this to display the tooltip legend in addition to failed checks."] = "勾選後顯示傳說的提示訊息，除了失敗的檢查以外。"
L["Check this to enable RaidyCheck in 5-man instances in addition to raid instances."] = "勾選後啟用RaidyCheck在5人副本，除了團隊副本以外。"
L["Check this to enable RaidyCheck outside of instances. This settings is not saved accros game sessions."] = "勾選後啟用RaidyCheck在副本外。此設定不會儲存在遊戲紀錄中。"
L["Check this to prevent the anchor to be dragged."] = "勾選後可防止定位被拖曳。"
L["Check this to show the tooltip anchor button."] = "勾選後顯示定位按鈕的提示訊息。"
L["Check to enable strict mode."] = "勾選後啟用精準模式。"
L["Class Buffs"] = "職業增益"
L["Click to do a ready check."] = "點擊後顯示準備確認。"
L["DEAD"] = "死亡"
L["Drag to move."] = "拖曳後移動。"
L["Enabled"] = "已啟用"
L["Flask"] = "精鍊藥劑"
L["has broken items."] = "擁有破損的物品。"
L["Legend"] = "傳說"
L["Mana"] = "法力"
L["missing pet"] = "缺少寵物"
L["Modules"] = "模組"
L["Move the anchor back to its default position."] = "移動此定位回到它預設的位置。"
L["no boss mod detected"] = "沒有首領模組可檢測"
L["no flask"] = "沒有精煉藥劑"
L["Non-Combat Buffs"] = "非戰鬥增益"
L["not well fed"] = "沒有充分進食"
L["Pet"] = "寵物"
L["RaidyCheck anchor"] = "RaidyCheck定位"
L["Ready"] = "準備"
L["ReadyCheck"] = "準備確認"
L["Select which checks should be done"] = "這些勾選該如何選擇"
L["Self Buffs"] = "自己的增益"
L["Show in 5-man instances"] = "在5人副本中顯示"
L["Soulstone"] = "靈魂石"
L["Strict mode"] = "精準模式"
L["Test mode"] = "測試模式"
L["Uncheck this to completly disable RaidyCheck"] = "取消勾選將完全停用RaidyCheck"
L["Well Fed"] = "充分進食"
elseif locale == "koKR" then
L["Anchor"] = "앵커"
L["Anchor settings"] = "앵커 설정"
L["BossMod"] = "보스 모드"
L["Broken Items"] = "망가진 장비"
L["Buttons"] = "버튼"
L["Check this to display the tooltip legend in addition to failed checks."] = "실패된 체크 범례 툴팁을 표시하려면 체크합니다."
L["Check this to enable all tests."] = "모든 테스트를 사용하려면 체크합니다."
L["Check this to enable RaidyCheck in 5-man instances in addition to raid instances."] = "공격대 던전이 아닌 5인 던전에서 RaidyCheck|1을;를; 사용하려면 체크합니다."
L["Check this to enable RaidyCheck outside of instances. This settings is not saved accros game sessions."] = "던전이 아닌 일반 상태에서 RaidyCheck|1을;를; 사용하려면 체크합니다. 이 설정은 게임 세션에 저장되지 않습니다."
L["Check this to have each module result displayed on its own column."] = "각 모듈 결과를 자신의 컬럼 위에 표시하려면 체크합니다."
L["Check this to prevent the anchor to be dragged."] = "위치 이동을 하지 않으려면 체크합니다."
L["Check this to restrict panel height by adding a scroll bar."] = "스크룰바를 추가함으로 패널의 높이를 제한하려면 체크합니다."
L["Check this to show the tooltip anchor button."] = "툴팁 이동 버튼을 표시하려면 체크합니다."
L["Check to enable strict mode."] = "엄격한 모드을 사용하려면 체크합니다."
L["Class Buffs"] = "직업 강화 효과"
L["Click to change displayed information."] = "보여지는 정보를 변경하려면 클릭하세요."
L["Click to do a ready check."] = "준비 체크하려면 클릭하세요."
L["Click to hide the panel."] = "패널을 숨기려면 클릭하세요."
L["Click to open the configuration window."] = "설정 창을 열려면 클릭하세요."
L["Click to show the panel."] = "패널을 표시하려면 클릭하세요."
L["Collapse"] = "접기"
L["Collapse/expand"] = "접기/확장"
L["Configuration"] = "설정"
L["Cooldown:"] = "재사용 대기시간:"
L["DEAD"] = "죽음"
L["DISCONNECTED"] = "오프라인"
L["Display"] = "표시"
L["%d piece(s)"] = "%d 조각"
L["Drag to move."] = "드래그로 이동합니다."
L["Enabled"] = "사용"
L["Expand"] = "확장"
L["Flask"] = "영약"
L["has broken items."] = "망가진 장비"
L["Legend"] = "범례"
L["Limited height"] = "높이 제한"
L["Lock"] = "잠금"
L["Mana"] = "마나"
L["missing pet"] = "소환수 없음"
L["Modules"] = "모듈"
L["Move the anchor back to its default position."] = "기본 설정으로 위치를 복구합니다."
L["Multicolumns"] = "다중 컬럼"
L["no boss mod detected"] = "보스 모드 탐지 못함"
L["no flask"] = "영약 없음"
L["Non-Combat Buffs"] = "비-전투 강화 효과"
L["no soulstone found"] = "영혼석 찾을 수 없음"
L["not well fed"] = "음식 없음"
L["OUTOFSCOPE"] = "확인할 수 없음"
L["Panel"] = "패널"
L["Panel settings"] = "패널 설정"
L["Pet"] = "소환수"
L["RaidyCheck anchor"] = "전투준비 위치"
L["Ready"] = "준비"
L["Readycheck"] = "준비체크"
L["ReadyCheck"] = "준비체크"
L["Reset position"] = "위치 초기화"
L["Select which buttons you would like to see on the anchor."] = "이 버튼의 앵커를 표시하려면 선택합니다."
L["Select which checks should be done"] = "체크할 항목을 선택합니다."
L["Self Buffs"] = "자신의 버프"
L["Show"] = "표시"
L["Show in 5-man instances"] = "5인 던전 표시"
L["Soulstone"] = "영혼석"
L["Strict mode"] = "엄격한 모드"
L["Test mode"] = "테스트 모드"
L["Tests"] = "테스트"
L["Uncheck this to completly disable RaidyCheck"] = "RaidyCheck|1을;를; 사용하거나 사용하지 않습니다."
L["Well Fed"] = "포만감"
end
